Package ghidra.app.util.importer

# Class LibrarySearchPathDummyOption

java.lang.Object
ghidra.app.util.Option
ghidra.app.util.importer.LibrarySearchPathDummyOption

public class LibrarySearchPathDummyOption extends Option
A dummy `Option` used to render a button that will allow the user to edit the global list of library search paths

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LibrarySearchPathDummyOption(String name)`
  Creates a new `LibrarySearchPathDummyOption`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Option`
  `copy()`
  Creates a copy of this Option object.
  `Component`
  `getCustomEditorComponent()`
  Override if you want to provide a custom widget for selecting your options.
  `Class<?>`
  `getValueClass()`
  Returns the class of the value for this option.

  ### Methods inherited from class ghidra.app.util.Option

  `getArg, getGroup, getName, getState, getStateKey, getValue, isHidden, parseAndSetValueByType, setOptionListener, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LibrarySearchPathDummyOption

    public LibrarySearchPathDummyOption(String name)
    Creates a new `LibrarySearchPathDummyOption`
    Parameters:
      `name` - The name of the option

- ## Method Details

  - ### getCustomEditorComponent

    public Component getCustomEditorComponent()
    Description copied from class: `Option`
    Override if you want to provide a custom widget for selecting your options.

    Important! If you override this you MUST also override the `Option.copy()` method so it returns a new instance of your custom editor.

    Overrides:
      `getCustomEditorComponent` in class `Option`
    Returns:
      the custom editor

  - ### getValueClass

    public Class<?> getValueClass()
    Description copied from class: `Option`
    Returns the class of the value for this option.
    Overrides:
      `getValueClass` in class `Option`
    Returns:
      the class of the value for this option

  - ### copy

    public Option copy()
    Description copied from class: `Option`
    Creates a copy of this Option object.
    Overrides:
      `copy` in class `Option`
    Returns:
      a copy of this Option object.